#
# spec file for package antipoli (Version 2.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         antipoli
Copyright:    1994 Bernard Bross
Group:        X11/Games/Strategy
Provides:     AntipoliX 
Autoreqprov:  on
Version:      2.1
Release:      389
Summary:      X11 Strategy Game
Source:       AntipoliX-%{version}.tar.gz
Patch:        AntipoliX-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
This game can be played with 2 - 10 players in a network.
Be sure to read docs in /usr/share/doc/packages/antipoli.

Authors:
--------
    Bernard Bross <bross@essi.fr>

SuSE series: fun

%prep
%setup -n AntipoliX-%{version}
%patch

%build
xmkmf -a
touch apxclient.man apxserver.man
make

%install
        install -d -m755 $RPM_BUILD_ROOT/var/games/AntipoliX-2.1
        install -d -m755 $RPM_BUILD_ROOT/usr/games/
        install -s apxclient apxserver $RPM_BUILD_ROOT/usr/games/
        install -m644 ./.players ./.motd ./.server_defaults \
		$RPM_BUILD_ROOT/var/games/AntipoliX-2.1
	chown games.game $RPM_BUILD_ROOT/usr/games/apxserver
	chmod g+s $RPM_BUILD_ROOT/usr/games/apxserver
	chown -R games.game $RPM_BUILD_ROOT/var/games/AntipoliX-2.1
	chmod 660 $RPM_BUILD_ROOT/var/games/AntipoliX-2.1/.{m*,p*,s*}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%dir /var/games/AntipoliX-2.1
/usr/games/apxclient
/usr/games/apxserver
%config /var/games/AntipoliX-2.1/.motd
%config /var/games/AntipoliX-2.1/.players
%config /var/games/AntipoliX-2.1/.server_defaults
%doc ANTIPOLIX_RULES CLIENT_USE COPYRIGHT SERVER_USE

%changelog -n antipoli
* Fri Jun 22 2001 - ro@suse.de
- fake manpages to build
* Mon Aug 28 2000 - vinil@suse.cz
- set-gid server made
- complete file relocation
- names of binaries changed to be more specific
- description fixed
* Thu Apr 13 2000 - vinil@suse.cz
- got rid of Makefile.Linux
- cleanup spec
- buildroot added
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
